From 40d8b19ca091a642ea75fdb59ee4ffdfe64982d7 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 21:14:13 -0400
Subject: [PATCH 07/22] gnu: zathura-cb: Move from pdf.scm to pwmt.scm.

* gnu/packages/pdf.scm (zathura-cb): Move to [...]
* gnu/packages/pwmt.scm (zathura-cb): [...] here.
---
 gnu/packages/pdf.scm  | 35 -----------------------------------
 gnu/packages/pwmt.scm | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+), 35 deletions(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index 6949ca4750..caae864979 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -391,41 +391,6 @@ reading and editing of existing PDF files.")
    (license license:gpl3)             ; or gpl2, but not gpl2+
    (home-page "https://www.xpdfreader.com/")))
 
-(define-public zathura-cb
-  (package
-    (name "zathura-cb")
-    (version "0.1.8")
-    (source (origin
-              (method url-fetch)
-              (uri
-               (string-append "https://pwmt.org/projects/zathura-cb/download/zathura-cb-"
-                              version ".tar.xz"))
-              (sha256
-               (base32
-                "1i6cf0vks501cggwvfsl6qb7mdaf3sszdymphimfvnspw810faj5"))))
-    (native-inputs `(("pkg-config" ,pkg-config)))
-    (inputs `(("libarchive" ,libarchive)
-              ("zathura" ,zathura)))
-    (build-system meson-build-system)
-    (arguments
-     `(#:tests? #f                      ; package does not contain tests
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-plugin-directory
-           ;; Something of a regression in 0.1.8: the new Meson build system
-           ;; now hard-codes an incorrect plugin directory.  Fix it.
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "meson.build"
-               (("(install_dir:).*" _ key)
-                (string-append key
-                               "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
-             #t)))))
-    (home-page "https://pwmt.org/projects/zathura-cb/")
-    (synopsis "Comic book support for zathura (libarchive backend)")
-    (description "The zathura-cb plugin adds comic book support to zathura
-using libarchive.")
-    (license license:zlib)))
-
 (define-public podofo
   (package
     (name "podofo")
diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index e535d09f06..655dc39e26 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -24,6 +24,7 @@
 
 (define-module (gnu packages pwmt)
   #:use-module (gnu packages)
+  #:use-module (gnu packages backup)
   #:use-module (gnu packages check)
   #:use-module (gnu packages djvu)
   #:use-module (gnu packages documentation)
@@ -303,3 +304,38 @@ by using the @code{mupdf} rendering library.")
     (description "The zathura-djvu plugin adds DjVu support to zathura
 using the DjVuLibre library.")
     (license license:zlib)))
+
+(define-public zathura-cb
+  (package
+    (name "zathura-cb")
+    (version "0.1.8")
+    (source (origin
+              (method url-fetch)
+              (uri
+               (string-append "https://pwmt.org/projects/zathura-cb/download/zathura-cb-"
+                              version ".tar.xz"))
+              (sha256
+               (base32
+                "1i6cf0vks501cggwvfsl6qb7mdaf3sszdymphimfvnspw810faj5"))))
+    (native-inputs `(("pkg-config" ,pkg-config)))
+    (inputs `(("libarchive" ,libarchive)
+              ("zathura" ,zathura)))
+    (build-system meson-build-system)
+    (arguments
+     `(#:tests? #f                      ; package does not contain tests
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-plugin-directory
+           ;; Something of a regression in 0.1.8: the new Meson build system
+           ;; now hard-codes an incorrect plugin directory.  Fix it.
+           (lambda* (#:key outputs #:allow-other-keys)
+             (substitute* "meson.build"
+               (("(install_dir:).*" _ key)
+                (string-append key
+                               "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
+             #t)))))
+    (home-page "https://pwmt.org/projects/zathura-cb/")
+    (synopsis "Comic book support for zathura (libarchive backend)")
+    (description "The zathura-cb plugin adds comic book support to zathura
+using libarchive.")
+    (license license:zlib)))
-- 
2.26.2

